본문으로 바로가기

지난 9월 20일 Google Play에서 아래와 같은 메일이 한통 날아들었습니다. "Action required: Update your Android targetSdkVersion by November 1st"라는 제목이었는데 구글 플레이에 등록한 앱의 targetSdkVersion을 안드로이드 오레오 이후 버전만을 지원할 수 있도록 API Level 26또는 그 이후 버전으로 변경하라는 것이었습니다.



현재 구글 플레이에만 등록되어 있는 "운전면허 학과 필기 정답 노트 문제 은행"은 순전히 개인적인 목적으로 만들었다 당시 반응이 괜찮아서 계속 올려놓고 있던건데 계속 유지를 해야하나 하는 고민이 좀 되더군요. 그래서 일단 API Level 26 이후 변경되는 필수 사항들이 어떤 것들이 있는지 확인을 해보고 개발 부담에 대해 파악을 해보기로 했습니다. 현재 이 앱은 웹뷰 기반에서 실시간 인터넷 게시판을 불러와서 정답 노트 형식으로 보여주는 방식입니다. 링크를 따라 파악을 해보니... 아래와 같은 변화가 있더군요. 심플한 웹뷰 인터페이스 앱이라 그냥 targetSdkVersion만 변경해서 다시 빌드할 수 있지 않을까 했는데... 뜨아... "Runtime Permission"이 딱 걸린겁니다.

보안 측면에서는 상당히 바람직한 요구 사항들인데 앱은 전체적으로 리팩토링을 해야될 상황이어서 고민을 좀 하다... 그간 도움이 컸다는 감사 메일도 좀 받았고 영어, 중국어도 만들어 달라는 요청도 제법 있었던터라 추석 연휴를 활용해서 전체 개발을 다시 했습니다. Material Design 템플릿을 가져와서 모던한 스타일로 변경도 했구요.


안드로이드 스튜디오도 간만에 실행했더니 엄청난 업데이트들이 많았더군요. 시간 쪼개서 개발 유지도 계속 해야겠다는 반성과 함께 아래와 같은 신규 버전이 완성되었습니다. 필요하신 분들 유용하게 활용하시기 바랍니다.(퀴즈 형태의 앱이 아니라 문제은행 암기용 앱입니다~) 







댓글을 달아 주세요